Name:           tmate
Version:        2.2.1
Release:        2%{?dist}

Summary:        Instant terminal sharing
License:        MIT
Url:            http://tmate.io

BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  ruby
BuildRequires:  libevent-devel
BuildRequires:  openssl-devel
BuildRequires:  ncurses-devel
BuildRequires:  zlib-devel
BuildRequires:  libssh-devel >= 0.7.0
BuildRequires:  msgpack-devel >= 1.1.8

Source0:        https://github.com/nviennot/tmate/archive/%{version}.tar.gz

%description
Tmate is a fork of tmux providing an instant pairing solution.

%prep
%setup -q -n %{name}-%{version}

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc CHANGES FAQ README-tmux README.md
%{_bindir}/tmate
%{_mandir}/man1/tmate.1*

%changelog
* Tue Apr 19 2016 Andreas Schneider <asn@redhat.com> - 2.2.1-2
- Rebuild against new msgpack version

* Wed Mar 30 2016 Andreas Schneider <asn@redhat.com> - 2.2.1-1
- Update to version 2.2.1
  * Reconnection implemented
  * Bug fixes in synchronizing the key bindings
  * Webhooks support added: https://github.com/tmate-io/tmate/wiki/Webhooks

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Andreas Schneider <asn@redhat.com> - 2.2.0-1
- Update to version 2.2.0

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 29 2014 - Andreas Schneider <asn@redhat.com> - 1.8.9-3
- Add missing dist.

* Tue Apr 29 2014 - Andreas Schneider <asn@redhat.com> - 1.8.9-2
- Fixed 'make' calls.

* Fri Apr 25 2014 - Andreas Schneider <asn@redhat.com> - 1.8.9-1
- The big bang.
